org.springframework.data.convert

## Enum Jsr310Converters.DateToLocalDateTimeConverter

- java.lang.Object
- - java.lang.Enum<Jsr310Converters.DateToLocalDateTimeConverter>
  - - org.springframework.data.convert.Jsr310Converters.DateToLocalDateTimeConverter

All Implemented Interfaces:
  Serializable, Comparable<Jsr310Converters.DateToLocalDateTimeConverter>, Converter<Date,LocalDateTime>

Enclosing class:
  Jsr310Converters

    @ReadingConverter
    public static enum Jsr310Converters.DateToLocalDateTimeConverter
    extends Enum<Jsr310Converters.DateToLocalDateTimeConverter>
    implements Converter<Date,LocalDateTime>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INSTANCE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`LocalDateTime` `convert(Date source)`
`static Jsr310Converters.DateToLocalDateTimeConverter` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Jsr310Converters.DateToLocalDateTimeConverter[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.core.convert.converter.Converter

`andThen`

### Enum Constant Detail

#### INSTANCE

    public static final Jsr310Converters.DateToLocalDateTimeConverter INSTANCE

### Method Detail

#### values

    public static Jsr310Converters.DateToLocalDateTimeConverter[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Jsr310Converters.DateToLocalDateTimeConverter c : Jsr310Converters.DateToLocalDateTimeConverter.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Jsr310Converters.DateToLocalDateTimeConverter valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### convert

    @Nonnull
    public LocalDateTime convert(Date source)

Specified by:
  `convert` in interface `Converter<Date,LocalDateTime>`